# TCRCDR

DESCRIPTION
 
    TCRCDR
    Sequence-based T-cell receptor Complementarity Determining Regions Canonical Form Prediction
 
    o To setup paths etc on your machine run:
        python setup.py install

    o Python API
        o The TCRCDR python package can be imported using:
        >>> from tcrcdr.canonicals import assign_fullseq
        o Results are shown as follows:
        {'input':													# Input sequence name  
        ('input_1', 'GGITQSPKYLFRKEGQNVTLSCEQNLNHDAMYWYRQDPGQGLRLIYYSQIVNDFQKGDIAEGYSVSREKKESFPLTVTSAQKNPTAFYLCASSSRSSYEQYFGPGTRLTVT'), 
        'seqname': 'input_1', 
        'outputs': 
        		{'B1': 												# CDR type
        			['LNHDA', 'B1-5-A', '1bd2E'], 			# CDR on the input sequence, assigned cluster, median structure of the cluster
        		 'B2': 
        		   ['SQIVND', 'B2-6-A', '3qh3B'], 
        		 'B3': 
        		 	['ASSSRSSYEQY', 'B3-10,11-A', '3ta3D']}}
    o Command line 
        o To run TCRCDR on a command line:
        $ TCRCDR -i <input_sequence> 

        Example:

        TCRCDR -i GGITQSPKYLFRKEGQNVTLSCEQNLNHDAMYWYRQDPGQGLRLIYYSQIVNDFQKGDIAEGYSVSREKKESFPLTVTSAQKNPTAFYLCASSSRSSYEQYFGPGTRLTVT
        
    o Pre-requisites:
        o HMMER 3.1b2 (February 2015); http://hmmer.org/
        o numpy v. 1.10+
        o pandas


AUTHORS
 
    2018
    Dr. Jinwoo Leem
    Wing Ki Wong
    Prof Charlotte M. Deane - Oxford Protein Informatics group.

    Contact: opig@stats.ox.ac.uk

Copyright (C) 2018 Oxford Protein Informatics Group (OPIG)
Freely distributed under the GNU General Public License (GPLv3).
